BLK_CONGESTION_WAIT(9)

NAME
blk_congestion_wait - wait for a queue to become uncongested

SYNOPSIS

long blk_congestion_wait (int rw, long timeout);

ARGUMENTS

rw  READ or WRITE

timeout
    timeout in jiffies

DESCRIPTION

Waits for up to timeout jiffies for a queue (any queue) to exit congestion. If no queues are congested then just wait for the next request to be returned.